package com.tencent.mm.compatible.d;

import com.tencent.matrix.trace.core.AppMethodBeat;

public enum a {
    ;
    
    private static volatile a epC;

    private a(String str) {
    }

    static {
        epC = new 1();
        AppMethodBeat.o(92909);
    }

    public static synchronized void a(a aVar) {
        synchronized (a.class) {
            epC = aVar;
        }
    }

    public static void eT(long j) {
        AppMethodBeat.i(92907);
        epC.u(853, j);
        AppMethodBeat.o(92907);
    }

    public static void eU(long j) {
        AppMethodBeat.i(92908);
        epC.u(650, j);
        AppMethodBeat.o(92908);
    }
}
